## org.apache.poi.hwpf.usermodel
Enum OfficeDrawing.HorizontalPositioning

    java.lang.Object
      java.lang.Enum<OfficeDrawing.HorizontalPositioning>
          org.apache.poi.hwpf.usermodel.OfficeDrawing.HorizontalPositioning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OfficeDrawing.HorizontalPositioning>

Enclosing interface:
  OfficeDrawing

    public static enum OfficeDrawing.HorizontalPositioning

extends java.lang.Enum<OfficeDrawing.HorizontalPositioning>

Enum Constant Summary
`ABSOLUTE` The shape is horizontally offset by an absolute distance from the page element.
`CENTER` The shape is horizontally positioned at the center of the page element.
`INSIDE` The shape is horizontally positioned like `LEFT` on odd-numbered pages and like `RIGHT` on even-numbered pages.
`LEFT` The shape is horizontally positioned at the left side of the page element.
`OUTSIDE` The shape is horizontally positioned like `RIGHT` on odd-numbered pages and like `LEFT` on even-numbered pages.
`RIGHT` The shape is horizontally positioned at the right side of the page element.

Method Summary
`static OfficeDrawing.HorizontalPositioning` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OfficeDrawing.HorizontalPositioning[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABSOLUTE

    public static final OfficeDrawing.HorizontalPositioning ABSOLUTE

  The shape is horizontally offset by an absolute distance from the page element.

### CENTER

    public static final OfficeDrawing.HorizontalPositioning CENTER

  The shape is horizontally positioned at the center of the page element.

### INSIDE

    public static final OfficeDrawing.HorizontalPositioning INSIDE

  The shape is horizontally positioned like `LEFT` on odd-numbered pages and like `RIGHT` on even-numbered pages.

### LEFT

    public static final OfficeDrawing.HorizontalPositioning LEFT

  The shape is horizontally positioned at the left side of the page element.

### OUTSIDE

    public static final OfficeDrawing.HorizontalPositioning OUTSIDE

  The shape is horizontally positioned like `RIGHT` on odd-numbered pages and like `LEFT` on even-numbered pages.

### RIGHT

    public static final OfficeDrawing.HorizontalPositioning RIGHT

  The shape is horizontally positioned at the right side of the page element.

Method Detail

### values

    public static OfficeDrawing.HorizontalPositioning[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OfficeDrawing.HorizontalPositioning c : OfficeDrawing.HorizontalPositioning.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OfficeDrawing.HorizontalPositioning valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.